com.jscape.inet.mft.management.client.api

## Class ManagerSubsystem

- java.lang.Object
- - com.jscape.inet.mft.management.client.api.ManagerSubsystem

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public final class ManagerSubsystem
      extends java.lang.Object
      implements java.lang.AutoCloseable

  Management system facade. Contains methods to manage the MFT Server including creating, starting and stopping domains, creating user accounts and groups.

  The following is a little example that shows how can the API be used

        // creates a new ManagerSubsystem instance passing as argument a ClientSessionContext
        ManagerSubsystem manager = new ManagerSubsystem(context);

            try{
                // connects to the MFT Server
                manager.connect();

            // Creates a new VirtualLocalFile which is used as argument when the new account will be created
                VirtualLocalFile[] paths = new VirtualLocalFile[1];

           // Creates a VirtualLocalFile
           AccessPermissions permissions = new AccessPermissions(); // Permission of the virtual file name
           paths[0] = new VirtualLocalFile(virtualFileName, permissions, realFileName);

           //A new account instance is created
           Account account = new Account(userName, login, password, paths, null);

           // The account is added to the Server "server"
               manager.addAccount("server", account);

           } catch(Exception e){
                e.printStackTrace();
           } finally{
                 managerServer.disconnect();
           }

  Author:
    Alex

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.File` | `CLIENT_MANAGEMENT_KEYSTORE_FILE`
    `static java.lang.String` | `DEFAULT_CLIENT_MANAGEMENT_KEYSTORE_FILENAME`
    `static java.lang.String` | `DEFAULT_SSL_PARAMETERS_FILENAME`
    `static java.io.File` | `SSL_PARAMETERS_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagerSubsystem(java.io.File configurationFile)` Creates a new manager subsystem instance.
    `ManagerSubsystem(java.io.File configurationFile, java.io.File clientKeysFile, java.io.File sslConfigurationFile)` Creates a new manager subsystem instance.
    `ManagerSubsystem(ManagerConfiguration configuration)` Creates a manager subsystem instance
    `ManagerSubsystem(ManagerConfiguration configuration, java.io.File clientKeysFile, java.io.File sslConfigurationFile)` Creates a new manager subsystem instance.
    `ManagerSubsystem(java.lang.String configFile)` Creates a new manager subsystem instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPAccessRule[]` | `accessRulesOf(java.lang.String domainName)` Gets a domain IP access rules.
    `Account` | `accountFor(java.lang.String domainName, java.lang.String accountName)`
    `java.util.List<com.jscape.inet.mft.AccountInfo>` | `accountInfosOf(java.lang.String domainName)`
    `com.jscape.inet.mft.management.common.AccountTransferQuota` | `accountQuotaFor(java.lang.String domainName, java.lang.String accountName)`
    `java.util.Map` | `accountQuotasOf(java.lang.String domainName)` Returns account's quotas.
    `Account[]` | `accountsOf(java.lang.String domainName)` Gets domain accounts.
    `com.jscape.inet.vfs.AccountTemplate` | `accountTemplateFor(java.lang.String domainName, java.lang.String name)`
    `com.jscape.inet.vfs.AccountTemplate[]` | `accountTemplatesOf(java.lang.String domainName)`
    `void` | `addAccount(java.lang.String domainName, Account account)` Adds a new account to the domain.
    `void` | `addClientCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)`
    `void` | `addClientPublicKey(com.jscape.inet.mftserver.operation.key.HostPublicKey key)`
    `void` | `addConnectedEventListener(ManagerConnectedEvent.Handler listener)` Adds connected event listener.
    `void` | `addContact(java.lang.String domainName, Contact contact)` Adds a new contact.
    `void` | `addDirectoryMonitor(java.lang.String domainName, DirectoryMonitor monitor)` Adds a new directory monitor.
    `void` | `addDisconnectedEventListener(ManagerDisconnectedEvent.Handler listener)` Adds disconnected event listener.
    `void` | `addDomain(DomainDescriptor descriptor)` Adds a new domain.
    `void` | `addGroup(java.lang.String domainName, Group group)` Adds a new group.
    `void` | `addHostCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)`
    `void` | `addHostPublicKey(com.jscape.inet.mftserver.operation.key.HostPublicKey key)`
    `void` | `addPgpPublicKey(com.jscape.inet.mftserver.operation.key.PgpPublicKey key)`
    `void` | `addPgpSecretKey(com.jscape.inet.mftserver.operation.key.PgpSecretKey key)`
    `void` | `addReport(java.lang.String domainName, Report report)` Adds a new report to the domain.
    `void` | `addResource(java.lang.String domainName, ResourceDescriptor resource)` Deprecated. storeReverseProxy() should be used instead
    `void` | `addServerKey(com.jscape.inet.mftserver.operation.key.ServerKey key)`
    `void` | `addService(java.lang.String domainName, ServiceDescriptor descriptor)` Adds a service to domain.
    `com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration` | `administratorAuthenticationServiceConfiguration()`
    `com.jscape.inet.mft.Administrator` | `administratorFor(java.lang.String username)`
    `java.util.List<com.jscape.inet.mft.Administrator>` | `administrators()` Returns server administrators.
    `DomainDescriptor[]` | `allDomains()` Gets all available domains descriptors.
    `com.jscape.inet.mft.AS2ServiceConfiguration` | `as2Configuration()`
    `com.jscape.inet.mft.subsystems.as2.AS2MessageRecord` | `as2MessageFor(java.lang.String domainName, java.lang.String id)`
    `java.util.List<com.jscape.inet.mft.subsystems.as2.AS2MessageInfo>` | `as2MessageInfosOf(java.lang.String domainName)`
    `com.jscape.inet.mft.operation.pagination.Page<com.jscape.inet.mft.subsystems.as2.AS2MessageInfo>` | `as2MessageInfosOf(java.lang.String domainName, com.jscape.inet.mft.operation.pagination.PageRequest request)`
    `com.jscape.inet.mft.UploadLimitServiceDescriptor` | `bannedFilesServiceConfiguration(java.lang.String domainName)`
    `CertificateMap` | `certificates()` Deprecated. keys() should be used instead
    `com.jscape.inet.mftserver.operation.key.HostCertificate` | `clientCertificateFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.CertificateSummary[]` | `clientCertificateSummaries()`
    `com.jscape.inet.mftserver.operation.key.HostPublicKey` | `clientPublicKeyFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.PublicKeySummary[]` | `clientPublicKeySummaries()`
    `void` | `close()`
    `void` | `closeDomainConnection(java.lang.String domainName, java.lang.String localAddress, int localPort, java.lang.String remoteAddress, int remotePort)` Closes domain connection.
    `void` | `closeDomainConnection(java.lang.String domainName, java.lang.String localAddress, int localPort, java.lang.String remoteAddress, int remotePort, java.lang.String username, com.jscape.inet.mft.CloseSessionSelector selector)`
    `ManagerSubsystem` | `connect()` Connects to the remote server part.
    `com.jscape.inet.mftserver.operation.connection.ConnectionServiceConfiguration` | `connectionServiceConfiguration(java.lang.String domainName)`
    `Contact` | `contactFor(java.lang.String domainName, java.lang.String name)`
    `Contact[]` | `contactsOf(java.lang.String domainName)` Returns contacts for domain.
    `void` | `createAccount(java.lang.String domainName, Account account)`
    `void` | `createAccountTemplate(java.lang.String domainName, com.jscape.inet.vfs.AccountTemplate template)`
    `void` | `createAdministrator(com.jscape.inet.mft.Administrator administrator)`
    `void` | `createAs2MessageRepositoryDb(com.jscape.inet.mft.AS2MessageRepositoryConfiguration configuration)`
    `void` | `createClientCertificate(CertificateRecord record)` Deprecated.
    `void` | `createClientPublicKey(PublicKeyRecord record)` Deprecated.
    `void` | `createContact(java.lang.String domainName, Contact contact)`
    `void` | `createDirectory(java.lang.String path)`
    `void` | `createDirectoryMonitor(java.lang.String domainName, DirectoryMonitor monitor)`
    `void` | `createDlpRule(java.lang.String domainName, com.jscape.inet.mft.DlpRule rule)`
    `void` | `createDropZone(java.lang.String domainName, DropZoneDescriptor descriptor)`
    `void` | `createGroup(java.lang.String domainName, Group group)`
    `void` | `createHostCertificate(CertificateRecord record)` Deprecated.
    `void` | `createHostPublicKey(PublicKeyRecord record)` Deprecated.
    `void` | `createOftpMessageRepositoryDb(java.lang.String domainName, com.jscape.inet.mft.OftpMessageRepositoryConfiguration configuration)`
    `void` | `createPgpPublicKey(org.bouncycastle.openpgp.PGPPublicKeyRing ring)` Deprecated.
    `void` | `createPgpSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRing ring)` Deprecated.
    `void` | `createReverseProxy(java.lang.String domainName, com.jscape.inet.mft.resources.RemoteResourceDescriptor descriptor)`
    `void` | `createRole(com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole role)`
    `void` | `createServerKey(KeyPairRecord record)` Deprecated.
    `void` | `createTag(java.lang.String tag)`
    `void` | `createTradingPartner(java.lang.String domainName, com.jscape.inet.mft.TradingPartner partner)`
    `void` | `createTrigger(java.lang.String domainName, Trigger trigger)`
    `void` | `createWebTheme(java.lang.String domainName, com.jscape.inet.mft.WebTheme theme)`
    `java.lang.String[]` | `dbDrivers()` Deprecated.
    `void` | `deleteAccount(java.lang.String domaiName, java.lang.String accountName)` Deletes domain account.
    `void` | `deleteAccountTemplate(java.lang.String domainName, java.lang.String templateName)` Deletes the specified template from the server.
    `void` | `deleteAdministrator(java.lang.String username)`
    `void` | `deleteAs2Messages(java.lang.String domainName, java.lang.String... ids)`
    `void` | `deleteClientCertificate(java.lang.String name)`
    `void` | `deleteClientPublicKey(java.lang.String name)`
    `void` | `deleteContact(java.lang.String domainName, Contact contact)` Deletes contact.
    `void` | `deleteContact(java.lang.String domainName, java.lang.String contactId)`
    `void` | `deleteDir(java.lang.String path, boolean recursive)` Deletes a directory on the server side.
    `void` | `deleteDirectory(java.lang.String path, boolean recursive)`
    `void` | `deleteDirectoryMonitor(java.lang.String domainName, java.lang.String monitorName)` Removes directory monitor.
    `void` | `deleteDlpRule(java.lang.String domainName, java.lang.String ruleName)` Deletes a DLP rule.
    `void` | `deleteDomain(java.lang.String domainName)` Deletes a domain.
    `void` | `deleteDropZone(java.lang.String domainName, java.lang.String zoneName)` Deletes a drop zone.
    `void` | `deleteGroup(java.lang.String domainName, java.lang.String groupName)` Deletes a group.
    `void` | `deleteHostCertificate(java.lang.String name)`
    `void` | `deleteHostPublicKey(java.lang.String name)`
    `void` | `deleteLogSearch(java.lang.String domainName, java.lang.String searchName)` Deletes a log search.
    `void` | `deleteOftpMessages(java.lang.String domainName, java.lang.String... ids)`
    `void` | `deletePgpPublicKey(java.lang.String name)`
    `void` | `deletePgpSecretKey(java.lang.String name)`
    `void` | `deleteReport(java.lang.String domainName, java.lang.String reportName)` Deletes a report.
    `void` | `deleteResource(java.lang.String domainName, java.lang.String resourceName)` Deprecated. deleteReverseProxy() should be used instead
    `void` | `deleteReverseProxy(java.lang.String domainName, java.lang.String proxyName)` Deletes remote proxy.
    `void` | `deleteRole(java.lang.String roleName)`
    `void` | `deleteServerKey(java.lang.String name)`
    `void` | `deleteService(java.lang.String domainName, ServiceDescriptor descriptor)` Deletes service from domain.
    `void` | `deleteTag(java.lang.String tag)`
    `void` | `deleteTradingPartner(java.lang.String domainName, java.lang.String partnerName)` Deletes a trading partner.
    `void` | `deleteTrigger(java.lang.String domainName, java.lang.String triggerName)`
    `void` | `deleteWebTheme(java.lang.String domainName, java.lang.String themeName)` Deletes a web theme.
    `DirectoryMonitor` | `directoryMonitorFor(java.lang.String domainName, java.lang.String name)`
    `com.jscape.inet.mft.DirectoryMonitorServiceConfiguration` | `directoryMonitorServiceConfiguration(java.lang.String domainName)`
    `DirectoryMonitor[]` | `directoryMonitorsOf(java.lang.String domainName)` Returns directory monitors for the specifed domain.
    `void` | `disconnect()` Disconnects from the remote server.
    `com.jscape.inet.mft.DlpRule` | `dlpRuleFor(java.lang.String domainName, java.lang.String name)`
    `java.util.List<com.jscape.inet.mft.DlpRule>` | `dlpRulesOf(java.lang.String domainName)` Returns DLP rules.
    `com.jscape.inet.mft.DocumentViewerConfiguration` | `documentViewerConfiguration()` Returns document viewer configuration.
    `DomainDescriptor` | `domainFor(java.lang.String domainName)` Returns domain descriptor.
    `LogConfiguration` | `domainLogConfiguration(java.lang.String domainName)`
    `LogServiceDescriptor` | `domainLogServiceConfiguration(java.lang.String domainName)`
    `java.lang.String[]` | `domainNames()` Returns server domain names.
    `com.jscape.inet.mft.DomainStatistics` | `domainStatisticsFor(java.lang.String domainName)` Returns domain statistics.
    `DropZoneDescriptor` | `dropZoneFor(java.lang.String domainName, java.lang.String name)`
    `DropZoneDescriptor[]` | `dropZonesOf(java.lang.String domainName)` Returns domain's drop zones.
    `java.lang.String` | `dropZoneUrlFor(java.lang.String domainName, java.lang.String zoneName)` Returns a drop zone URL file (an URL part after host and port).
    `EmailServiceConfiguration` | `emailServiceConfiguration()` Returns email service configuration.
    `com.jscape.inet.mft.management.common.FailoverServiceConfiguration` | `failoverServiceConfiguration()` Returns failover server configuration.
    `Account` | `findAccount(java.lang.String domainName, java.lang.String login)` Finds the specified account.
    `DropZoneDescriptor` | `findDropZoneDescriptor(java.lang.String domainName, java.lang.String zoneName)` Finds drop zone descriptor.
    `ManagerConfiguration` | `getConfiguration()` Reurns client context.
    `java.lang.String[]` | `groupAccountsFor(java.lang.String domainName, java.lang.String groupName)`
    `Group` | `groupFor(java.lang.String domainName, java.lang.String name)`
    `Group[]` | `groupsOf(java.lang.String domainName)` Gets domain groups.
    `com.jscape.inet.mftserver.operation.key.HostCertificate` | `hostCertificateFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.CertificateSummary[]` | `hostCertificateSummaries()`
    `com.jscape.inet.mftserver.operation.key.HostPublicKey` | `hostPublicKeyFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.PublicKeySummary[]` | `hostPublicKeySummaries()`
    `boolean` | `isConnected()` Checks if current instance is connected to the server.
    `boolean` | `isFailoverSyncCompleted()`
    `com.jscape.inet.mft.JmxServiceConfiguration` | `jmxServiceConfiguration()` Returns JMX service configuration.
    `com.jscape.inet.mft.Keys` | `keys()` Deprecated.
    `void` | `kickUser(java.lang.String domainName, java.lang.String accountName, boolean disableAccount)` Closes user sessions.
    `void` | `killTrigger(java.lang.String domainName, java.lang.String id)` Kills trigger.
    `java.lang.String` | `logOf(java.lang.String domainName, int recordsCount)` Gets the latest server log lines.
    `java.util.List<com.jscape.inet.mft.LogSearch>` | `logSearchesOf(java.lang.String domainName)` Returns log searches.
    `java.lang.String` | `logSearchResultFor(java.lang.String domainName, java.lang.String searchName, int maxRecords)` Returns log search result.
    `com.jscape.inet.mft.ManagementAccessServiceConfiguration` | `managementAccessServiceConfiguration()` Returns management access service configuration.
    `com.jscape.inet.mftserver.operation.log.management.ManagementLogServiceConfiguration` | `managementLogServiceConfiguration()`
    `com.jscape.inet.mft.ManagementWebServerConfiguration` | `managementWebServiceConfiguration()`
    `void` | `mkdir(java.lang.String path)` Creates a directory on the server.
    `void` | `newLogSearch(java.lang.String domainName, com.jscape.inet.mft.LogSearch search)` Adds new log search.
    `com.jscape.inet.mft.subsystems.oftp.OftpMessageRecord` | `oftpMessageFor(java.lang.String domainName, java.lang.String id)`
    `java.util.List<com.jscape.inet.mft.subsystems.oftp.OftpMessageInfo>` | `oftpMessageInfosOf(java.lang.String domainName)`
    `com.jscape.inet.mft.operation.pagination.Page<com.jscape.inet.mft.subsystems.oftp.OftpMessageInfo>` | `oftpMessageInfosOf(java.lang.String domainName, com.jscape.inet.mft.operation.pagination.PageRequest request)`
    `PasswordServiceDescriptor` | `passwordComplianceServiceConfiguration(java.lang.String domainName)`
    `void` | `pauseDomain(java.lang.String domainName)` Pauses a specified domain.
    `void` | `pauseTrigger(java.lang.String domainName, java.lang.String id)`
    `com.jscape.inet.mftserver.operation.key.PgpPublicKey` | `pgpPublicKeyFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.PgpKeySummary[]` | `pgpPublicKeySummaries()`
    `com.jscape.inet.mftserver.operation.key.PgpSecretKey` | `pgpSecretKeyFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.PgpKeySummary[]` | `pgpSecretKeySummaries()`
    `KeyPairMap` | `privateKeys()` Deprecated. getKeys() should be used instead
    `PublicKeyMap` | `publicKeys()` Deprecated. getKeys() should be used instead
    `void` | `purgeAs2Messages(java.lang.String domainName, com.jscape.util.Time maxMessageAge)`
    `void` | `purgeDropZone(java.lang.String domainName, java.lang.String zoneName)` Purges a drop zone.
    `void` | `purgeOftpMessages(java.lang.String domainName, com.jscape.util.Time maxMessageAge)`
    `void` | `purgeTriggerStates(java.lang.String domainName, com.jscape.util.Time maxAge)`
    `com.jscape.inet.mft.RemoteTriggerServiceConfiguration` | `remoteTriggerServiceConfiguration(java.lang.String domainName)`
    `void` | `removeConnectedEventListener(ManagerConnectedEvent.Handler listener)` Removes connected event listener.
    `void` | `removeDisconnectedEventListener(ManagerDisconnectedEvent.Handler listener)` Removes disconnected event listener.
    `Report[]` | `reportsOf(java.lang.String domainName)` Returns all domain reports.
    `void` | `resendAs2Message(java.lang.String domainName, java.lang.String id)`
    `void` | `resendOftpMessage(java.lang.String domainName, java.lang.String id)`
    `void` | `resumeDomain(java.lang.String domainName)` Resumes a specified domain.
    `void` | `resumeTrigger(java.lang.String domainName, java.lang.String id)`
    `com.jscape.inet.mft.resources.RemoteResourceDescriptor` | `reverseProxyFor(java.lang.String domainName, java.lang.String name)`
    `com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole` | `roleFor(java.lang.String name)`
    `com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole[]` | `roles()`
    `void` | `runMonitor(java.lang.String domainName, java.lang.String monitorName)`
    `void` | `runTrigger(java.lang.String domainName, java.lang.String triggerName)` Runs trigger.
    `com.jscape.inet.mft.subsystems.searching.SearchingServiceConfiguration` | `searchingServiceConfiguration()` Returns searching service configuration.
    `com.jscape.inet.mft.SelfRegistrationServiceDescriptor` | `selfRegistrationServiceConfiguration()`
    `void` | `sendTradingPartnerFile(java.lang.String domainName, java.lang.String partnerName, java.lang.String path)`
    `com.jscape.inet.mftserver.operation.key.ServerKey` | `serverKeyFor(java.lang.String name)`
    `com.jscape.inet.mftserver.operation.key.ServerKeySummary[]` | `serverKeySummaries()`
    `com.jscape.inet.mftserver.operation.license.License` | `serverLicense()` Deprecated. getServerParameters() should be used instead
    `com.jscape.inet.mft.ServerManagementServiceConfiguration` | `serverManagementConfiguration()` Returns a current remote management server configuration.
    `com.jscape.inet.mftserver.operation.statistics.ServerParameters` | `serverParameters()` Returns server parameters.
    `com.jscape.inet.mftserver.operation.statistics.ServerStatistics` | `serverStatistics()` Returns server statistics.
    `void` | `setAccessRules(java.lang.String domainName, IPAccessRule[] rules)` Sets domain IP access rules.
    `void` | `setAccount(java.lang.String domainName, Account account)` Updates account for domain.
    `void` | `setAdministrators(java.util.Set<com.jscape.inet.mft.Administrator> administrators)` Sets server administrators.
    `void` | `setAuthenticationService(java.lang.String domainName, AuthenticationServiceDescriptor serviceDescriptor)` Deprecated.
    `void` | `setConfiguration(ManagerConfiguration configuration)` Sets new client context.
    `void` | `setDatastoreService(java.lang.String domainName, DatastoreServiceDescriptor serviceDescriptor)` Sets new domain datastore service.
    `void` | `setDBDrivers(java.lang.String[] drivers)` Deprecated.
    `void` | `setDomainDescription(java.lang.String domainName, java.lang.String description)` Sets new domain description.
    `void` | `setEventService(java.lang.String domainName, ServiceDescriptor serviceDescriptor)` Sets new domain event service.
    `void` | `setGroupAccounts(java.lang.String domainName, java.lang.String groupName, java.lang.String[] accounts)`
    `void` | `setLogService(java.lang.String domainName, LogServiceDescriptor serviceDescriptor, LogConfiguration configuration)` Sets new domain log service.
    `void` | `setPasswordService(java.lang.String domainName, PasswordServiceDescriptor serviceDescriptor)` Sets new domain password service.
    `void` | `setRestrictionServices(java.lang.String domainName, ServiceDescriptor[] serviceDescriptors)` Sets new domain restriction services.
    `void` | `setTransportServices(java.lang.String domainName, TransportServiceDescriptor[] serviceDescriptors, Configuration[] configurations)` Sets new domain transport services.
    `void` | `startAllDomains()` Starts all domains.
    `void` | `startDomain(java.lang.String domainName)` Starts a specified domain.
    `void` | `startFileIndexing()` Starts file indexing.
    `void` | `startLogSearch(java.lang.String domainName, java.lang.String searchName)` Starts a log search.
    `void` | `startService(java.lang.String domainName, ServiceDescriptor descriptor)` Starts domain service.
    `com.jscape.inet.mft.DomainStatistics` | `statisticsOf(java.lang.String domainName)` Deprecated. getDomainStatistic() should be used instead
    `void` | `stopAllDomains()` Stops all domains.
    `void` | `stopDomain(java.lang.String domainName)` Stops a specified domain.
    `void` | `stopService(java.lang.String domainName, ServiceDescriptor descriptor)` Stopps domain service.
    `void` | `storeAccount(java.lang.String domainName, Account account)`
    `void` | `storeAccountTemplate(java.lang.String domainName, com.jscape.inet.vfs.AccountTemplate template)`
    `void` | `storeAdministrator(com.jscape.inet.mft.Administrator administrator)` Store server administrator.
    `void` | `storeContact(java.lang.String domainName, Contact contact)`
    `void` | `storeDirectoryMonitor(java.lang.String domainName, DirectoryMonitor monitor)`
    `void` | `storeDlpRule(java.lang.String domainName, com.jscape.inet.mft.DlpRule rule)` Stores a DLP rule.
    `void` | `storeDropZone(java.lang.String domainName, DropZoneDescriptor zoneDescriptor)` Stores a drop zone.
    `void` | `storeGroup(java.lang.String domainName, Group group)`
    `void` | `storeReport(java.lang.String domainName, Report report)`
    `void` | `storeReverseProxy(java.lang.String domainName, ResourceDescriptor descriptor)` Stores reverse proxy.
    `void` | `storeTradingPartner(java.lang.String domainName, com.jscape.inet.mft.TradingPartner partner)` Stores a trading partner.
    `void` | `storeWebTheme(java.lang.String domainName, com.jscape.inet.mft.WebTheme theme)` Stores a web theme.
    `void` | `syncServerState(java.lang.String host, int port, long timeout, java.lang.String username, java.lang.String password, com.jscape.inet.mft.IPSubstitutor substitutor, boolean forceStart)` Syncs server state with failover server.
    `SyslogServiceDescriptor` | `syslogServiceConfiguration(java.lang.String domainName)`
    `java.lang.String[]` | `tags()`
    `void` | `testAs2MessageRepository(com.jscape.inet.mft.AS2MessageRepositoryConfiguration configuration)`
    `void` | `testAuthenticationService(com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration descriptor, com.jscape.inet.mftserver.operation.authentication.credentials.AuthenticationCredentials credentials)`
    `void` | `testAuthenticationService(java.lang.String domainName, ServiceDescriptor descriptor, java.lang.String login, java.lang.String password, java.lang.String ip)` Tests authentication subsystem.
    `void` | `testDatastoreService(ServiceDescriptor descriptor)` Tests the datastore service.
    `void` | `testEmailServiceConfiguration(EmailServiceConfiguration configuration, java.lang.String recipient)`
    `void` | `testLogService(java.lang.String domainName, ServiceDescriptor descriptor)` Tests log service subsystem.
    `void` | `testOftpMessageRepository(java.lang.String domainName, com.jscape.inet.mft.OftpMessageRepositoryConfiguration configuration)`
    `void` | `testRemoteTriggerService(com.jscape.inet.mft.RemoteTriggerServiceConfiguration configuration)`
    `void` | `testResource(ResourceDescriptor resource)` Deprecated. testReverseProxy() should be used instead
    `void` | `testReverseProxy(ResourceDescriptor descriptor)` Tests reverse proxy accessibility.
    `void` | `testTradingPartner(com.jscape.inet.mft.TradingPartner partner)` Tests a trading partner.
    `com.jscape.inet.mft.TradingPartner` | `tradingPartnerFor(java.lang.String domainName, java.lang.String name)`
    `Trigger` | `triggerFor(java.lang.String domainName, java.lang.String name)`
    `com.jscape.inet.mft.subsystems.triggers.TriggerOrder` | `triggerOrderFor(java.lang.String domainName, java.lang.String eventClass)`
    `void` | `triggers(java.lang.String domainName, java.util.List<Trigger> triggers)`
    `com.jscape.inet.mft.TriggerServiceConfiguration` | `triggerServiceConfiguration(java.lang.String domainName)`
    `Trigger[]` | `triggersOf(java.lang.String domainName)`
    `com.jscape.inet.mft.TriggerState[]` | `triggerStatesOf(java.lang.String domainName)` Returns triggers states.
    `void` | `updateAccessRules(java.lang.String domainName, IPAccessRule[] rules)`
    `void` | `updateAccount(java.lang.String domainName, Account account)`
    `void` | `updateAccountPassword(java.lang.String domainName, java.lang.String accountName, java.lang.String password, boolean passwordResetRequired)`
    `void` | `updateAccountTemplate(java.lang.String domainName, com.jscape.inet.vfs.AccountTemplate template)` Saves account template to the server.
    `void` | `updateAdHocTransfers(java.lang.String domainName, java.util.List<com.jscape.inet.mft.AdHocTransferAdvice> transfers)`
    `void` | `updateAdministrator(com.jscape.inet.mft.Administrator administrator)`
    `void` | `updateAdministratorAuthenticationServiceConfiguration(com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration descriptor)`
    `void` | `updateAdministratorPassword(java.lang.String administratorName, java.lang.String password)`
    `void` | `updateAs2Configuration(com.jscape.inet.mft.AS2ServiceConfiguration configuration)`
    `void` | `updateBannedFilesServiceConfiguration(java.lang.String domainName, com.jscape.inet.mft.UploadLimitServiceDescriptor configuration)`
    `void` | `updateClientCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)`
    `void` | `updateConnectionServiceConfiguration(java.lang.String domainName, com.jscape.inet.mftserver.operation.connection.ConnectionServiceConfiguration configuration)`
    `void` | `updateContact(java.lang.String domainName, Contact contact)`
    `void` | `updateDirectoryMonitor(java.lang.String domainName, DirectoryMonitor monitor)`
    `void` | `updateDirectoryMonitorServiceConfiguration(java.lang.String domainName, com.jscape.inet.mft.DirectoryMonitorServiceConfiguration configuration)`
    `void` | `updateDlpRule(java.lang.String domainName, com.jscape.inet.mft.DlpRule rule)`
    `void` | `updateDocumentViewerConfiguration(com.jscape.inet.mft.DocumentViewerConfiguration configuration)` Sets document viewer configuration.
    `void` | `updateDomainAutoStartStatus(java.lang.String domainName, boolean autoStartRequired)`
    `void` | `updateDomainFipsModeStatus(java.lang.String domainName, boolean fipsModeRequired)`
    `void` | `updateDomainLogConfiguration(java.lang.String domainName, LogConfiguration configuration)`
    `void` | `updateDomainLogServiceConfiguration(java.lang.String domainName, LogServiceDescriptor configuration)`
    `void` | `updateDropZone(java.lang.String domainName, DropZoneDescriptor descriptor)`
    `void` | `updateEmailServiceConfiguration(EmailServiceConfiguration configuration)` Sets email service configuration.
    `void` | `updateFailoverServiceConfiguration(com.jscape.inet.mft.management.common.FailoverServiceConfiguration configuration)` Sets failover server configuration.
    `void` | `updateGroup(java.lang.String domainName, Group group)`
    `void` | `updateHostCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)`
    `void` | `updateJmxServiceConfiguration(com.jscape.inet.mft.JmxServiceConfiguration configuration)` Sets JMX service configuration.
    `void` | `updateKeys(CertificateMap clientCertificates, PublicKeyMap clientPublicKeys, CertificateMap hostCertificates, PublicKeyMap hostPublicKeys, KeyPairMap serverKeyPairs, PgpKeystore pgpKeys)` Deprecated. getKeys() should be used instead
    `void` | `updateKeys(com.jscape.inet.mft.Keys keys)` Deprecated.
    `void` | `updateManagementAccessServiceConfiguration(com.jscape.inet.mft.ManagementAccessServiceConfiguration configuration)` Sets management access service configuration.
    `void` | `updateManagementLogServiceConfiguration(com.jscape.inet.mftserver.operation.log.management.ManagementLogServiceConfiguration configuration)`
    `void` | `updateManagementWebServiceConfiguration(com.jscape.inet.mft.ManagementWebServerConfiguration configuration)`
    `void` | `updatePasswordComplianceServiceConfiguration(java.lang.String domainName, PasswordServiceDescriptor configuration)`
    `void` | `updatePgpPublicKey(com.jscape.inet.mftserver.operation.key.PgpPublicKey key)`
    `void` | `updateRemoteTriggerServiceConfiguration(java.lang.String domainName, com.jscape.inet.mft.RemoteTriggerServiceConfiguration configuration)`
    `void` | `updateReverseProxy(java.lang.String domainName, com.jscape.inet.mft.resources.RemoteResourceDescriptor descriptor)`
    `void` | `updateRole(com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole role)`
    `void` | `updateSearchingServiceConfiguration(com.jscape.inet.mft.subsystems.searching.SearchingServiceConfiguration configuration)` Sets searching service configuration.
    `void` | `updateSelfRegistrationServiceConfiguration(com.jscape.inet.mft.SelfRegistrationServiceDescriptor descriptor)`
    `void` | `updateServerKey(com.jscape.inet.mftserver.operation.key.ServerKey key)`
    `void` | `updateServerManagementConfiguration(com.jscape.inet.mft.ServerManagementServiceConfiguration configuration)` Sets a new management server configuration and restarts it.
    `void` | `updateServiceConfiguration(java.lang.String domainName, Configuration configuration)` Sets domain service configuration.
    `void` | `updateSyslogServiceConfiguration(java.lang.String domainName, SyslogServiceDescriptor configuration)`
    `void` | `updateTradingPartner(java.lang.String domainName, com.jscape.inet.mft.TradingPartner partner)`
    `void` | `updateTrigger(java.lang.String domainName, Trigger trigger)`
    `void` | `updateTriggerOrder(java.lang.String domainName, com.jscape.inet.mft.subsystems.triggers.TriggerOrder triggerOrder)`
    `void` | `updateTriggerServiceConfiguration(java.lang.String domainName, com.jscape.inet.mft.TriggerServiceConfiguration configuration)`
    `void` | `updateUserAuthenticationServiceConfiguration(java.lang.String domainName, AuthenticationServiceDescriptor configuration)`
    `void` | `updateUserConfirmationServiceConfiguration(java.lang.String domainName, UserConfirmationServiceConfiguration configuration)`
    `void` | `updateUserSsoAuthenticationServiceConfiguration(java.lang.String domainName, com.jscape.inet.mft.subsystems.authentication.sso.UserSsoAuthenticationServiceConfiguration configuration)`
    `void` | `updateUserWebServiceResourcesConfiguration(TaggedProperties[] resources, byte[] logoData)`
    `void` | `updateUserWebServiceResourcesConfiguration(com.jscape.inet.mftserver.operation.web.WebResourcesConfiguration resources, com.jscape.inet.mftserver.operation.web.WebLogoConfiguration logoData)`
    `void` | `updateWebServiceConfiguration(com.jscape.inet.mft.WebServiceDescriptor descriptor)` Sets web server configuration.
    `void` | `updateWebTheme(java.lang.String domainName, com.jscape.inet.mft.WebTheme theme)`
    `AuthenticationServiceDescriptor` | `userAuthenticationServiceConfiguration(java.lang.String domainName)`
    `UserConfirmationServiceConfiguration` | `userConfirmationServiceConfiguration(java.lang.String domainName)`
    `com.jscape.inet.mft.subsystems.authentication.sso.UserSsoAuthenticationServiceConfiguration` | `userSsoAuthenticationServiceConfiguration(java.lang.String domainName)`
    `WebConfiguration` | `userWebServiceConfiguration()`
    `void` | `validateAccountPassword(java.lang.String domainName, java.lang.String accountName, java.lang.String password)`
    `com.jscape.inet.mft.WebServiceDescriptor` | `webServiceConfiguration()` Returns web server configuration.
    `com.jscape.inet.mft.WebTheme` | `webThemeFor(java.lang.String domainName, java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SSL_PARAMETERS_FILENAME

          public static final java.lang.String DEFAULT_SSL_PARAMETERS_FILENAME

      See Also:
        Constant Field Values

    - #### SSL_PARAMETERS_FILE

          public static final java.io.File SSL_PARAMETERS_FILE

    - #### DEFAULT_CLIENT_MANAGEMENT_KEYSTORE_FILENAME

          public static final java.lang.String DEFAULT_CLIENT_MANAGEMENT_KEYSTORE_FILENAME

      See Also:
        Constant Field Values

    - #### CLIENT_MANAGEMENT_KEYSTORE_FILE

          public static final java.io.File CLIENT_MANAGEMENT_KEYSTORE_FILE

  - ### Constructor Detail

    - #### ManagerSubsystem

          public ManagerSubsystem(ManagerConfiguration configuration,
                                  java.io.File clientKeysFile,
                                  java.io.File sslConfigurationFile)

      Creates a new manager subsystem instance.
      Parameters:
        `configuration` - configuration
        `clientKeysFile` - client keys file
        `sslConfigurationFile` - SSL configuration file

    - #### ManagerSubsystem

          public ManagerSubsystem(java.io.File configurationFile,
                                  java.io.File clientKeysFile,
                                  java.io.File sslConfigurationFile)
                           throws ManagerException

      Creates a new manager subsystem instance.
      Parameters:
        `configurationFile` - configuration file
        `clientKeysFile` - client keys file
        `sslConfigurationFile` - SSL configuration file
      Throws:
        `ManagerException` - if an error occurs

    - #### ManagerSubsystem

          public ManagerSubsystem(java.io.File configurationFile)
                           throws ManagerException

      Creates a new manager subsystem instance.
      Parameters:
        `configurationFile` - configuration file
      Throws:
        `ManagerException` - if an error occurs

    - #### ManagerSubsystem

          public ManagerSubsystem(java.lang.String configFile)
                           throws ManagerException

      Creates a new manager subsystem instance.
      Parameters:
        `configFile` - configuration file path
      Throws:
        `ManagerException` - if an error occurs

    - #### ManagerSubsystem

          public ManagerSubsystem(ManagerConfiguration configuration)
                           throws ManagerException

      Creates a manager subsystem instance
      Parameters:
        `configuration` - configuration
      Throws:
        `ManagerException` - if an error occurs

  - ### Method Detail

    - #### getConfiguration

          public ManagerConfiguration getConfiguration()

      Reurns client context.
      Returns:
        client context

    - #### setConfiguration

          public void setConfiguration(ManagerConfiguration configuration)

      Sets new client context.
      Parameters:
        `configuration` - new context

    - #### connect

          public ManagerSubsystem connect()
                                   throws ManagerException

      Connects to the remote server part.
      Throws:
        `ManagerException` - if an error occurs

    - #### disconnect

          public void disconnect()

      Disconnects from the remote server.

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### isConnected

          public boolean isConnected()

      Checks if current instance is connected to the server.
      Returns:
        `true` if instance is connected

    - #### serverManagementConfiguration

          public com.jscape.inet.mft.ServerManagementServiceConfiguration serverManagementConfiguration()
                                                                                                 throws ManagerException

      Returns a current remote management server configuration.
      Returns:
        current remote manager configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateServerManagementConfiguration

          public void updateServerManagementConfiguration(com.jscape.inet.mft.ServerManagementServiceConfiguration configuration)
                                                   throws ManagerException

      Sets a new management server configuration and restarts it.
      Parameters:
        `configuration` - new configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### serverParameters

          public com.jscape.inet.mftserver.operation.statistics.ServerParameters serverParameters()
                                                                                           throws ManagerException

      Returns server parameters.
      Returns:
        server parameters
      Throws:
        `ManagerException` - if an error occurs

    - #### serverStatistics

          public com.jscape.inet.mftserver.operation.statistics.ServerStatistics serverStatistics()
                                                                                           throws ManagerException

      Returns server statistics.
      Returns:
        server statistics
      Throws:
        `ManagerException` - if an error occurs

    - #### serverLicense

          public com.jscape.inet.mftserver.operation.license.License serverLicense()
                                                                            throws ManagerException

      Deprecated. getServerParameters() should be used instead
      Gets an application license data.
      Returns:
        Returns a String with licence data
      Throws:
        `ManagerException` - if an error occurs

    - #### administrators

          public java.util.List<com.jscape.inet.mft.Administrator> administrators()
                                                                           throws ManagerException

      Returns server administrators.
      Returns:
        server administrators
      Throws:
        `ManagerException` - if an error occurs

    - #### administratorFor

          public com.jscape.inet.mft.Administrator administratorFor(java.lang.String username)
                                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### setAdministrators

          public void setAdministrators(java.util.Set<com.jscape.inet.mft.Administrator> administrators)
                                 throws ManagerException

      Sets server administrators.
      Parameters:
        `administrators` - server administrators
      Throws:
        `ManagerException` - if an error occurs

    - #### createAdministrator

          public void createAdministrator(com.jscape.inet.mft.Administrator administrator)
                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAdministrator

          public void updateAdministrator(com.jscape.inet.mft.Administrator administrator)
                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAdministratorPassword

          public void updateAdministratorPassword(java.lang.String administratorName,
                                                  java.lang.String password)
                                           throws ManagerException

      Throws:
        `ManagerException`

    - #### storeAdministrator

          public void storeAdministrator(com.jscape.inet.mft.Administrator administrator)
                                  throws ManagerException

      Store server administrator.
      Parameters:
        `administrator` - server administrator
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteAdministrator

          public void deleteAdministrator(java.lang.String username)
                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### roleFor

          public com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole roleFor(java.lang.String name)
                                                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### createRole

          public void createRole(com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole role)
                          throws ManagerException

      Throws:
        `ManagerException`

    - #### updateRole

          public void updateRole(com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole role)
                          throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteRole

          public void deleteRole(java.lang.String roleName)
                          throws ManagerException

      Throws:
        `ManagerException`

    - #### createTag

          public void createTag(java.lang.String tag)
                         throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteTag

          public void deleteTag(java.lang.String tag)
                         throws ManagerException

      Throws:
        `ManagerException`

    - #### administratorAuthenticationServiceConfiguration

          public com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration administratorAuthenticationServiceConfiguration()
                                                                                                                                                                           throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAdministratorAuthenticationServiceConfiguration

          public void updateAdministratorAuthenticationServiceConfiguration(com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration descriptor)
                                                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### testAuthenticationService

          public void testAuthenticationService(com.jscape.inet.mftserver.operation.authentication.administrator.AdministratorAuthenticationServiceConfiguration descriptor,
                                                com.jscape.inet.mftserver.operation.authentication.credentials.AuthenticationCredentials credentials)
                                         throws ManagerException

      Throws:
        `ManagerException`

    - #### managementLogServiceConfiguration

          public com.jscape.inet.mftserver.operation.log.management.ManagementLogServiceConfiguration managementLogServiceConfiguration()
                                                                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### updateManagementLogServiceConfiguration

          public void updateManagementLogServiceConfiguration(com.jscape.inet.mftserver.operation.log.management.ManagementLogServiceConfiguration configuration)
                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### dbDrivers

          public java.lang.String[] dbDrivers()
                                       throws ManagerException

      Deprecated.
      Returns server DB drivers list.
      Returns:
        server DB drivers list
      Throws:
        `ManagerException` - if an error occurs

    - #### setDBDrivers

          public void setDBDrivers(java.lang.String[] drivers)
                            throws ManagerException

      Deprecated.
      Sets server DB drivers list.
      Parameters:
        `drivers` - new DB drivers
      Throws:
        `ManagerException` - if an error occurs

    - #### keys

          public com.jscape.inet.mft.Keys keys()
                                        throws ManagerException

      Deprecated.
      Returns server keys.
      Returns:
        server keys
      Throws:
        `ManagerException` - if an error occurs

    - #### updateKeys

          public void updateKeys(com.jscape.inet.mft.Keys keys)
                          throws ManagerException

      Deprecated.
      Sets server keys.
      Parameters:
        `keys` - new keys
      Throws:
        `ManagerException` - if an error occurs

    - #### serverKeySummaries

          public com.jscape.inet.mftserver.operation.key.ServerKeySummary[] serverKeySummaries()
                                                                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### createServerKey

          public void createServerKey(KeyPairRecord record)
                               throws ManagerException

      Deprecated.
      Parameters:
        `record` -
      Throws:
        `ManagerException`

    - #### serverKeyFor

          public com.jscape.inet.mftserver.operation.key.ServerKey serverKeyFor(java.lang.String name)
                                                                         throws ManagerException

      Throws:
        `ManagerException`

    - #### addServerKey

          public void addServerKey(com.jscape.inet.mftserver.operation.key.ServerKey key)
                            throws ManagerException

      Throws:
        `ManagerException`

    - #### updateServerKey

          public void updateServerKey(com.jscape.inet.mftserver.operation.key.ServerKey key)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteServerKey

          public void deleteServerKey(java.lang.String name)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### hostCertificateSummaries

          public com.jscape.inet.mftserver.operation.key.CertificateSummary[] hostCertificateSummaries()
                                                                                                throws ManagerException

      Throws:
        `ManagerException`

    - #### createHostCertificate

          public void createHostCertificate(CertificateRecord record)
                                     throws ManagerException

      Deprecated.
      Parameters:
        `record` -
      Throws:
        `ManagerException`

    - #### hostCertificateFor

          public com.jscape.inet.mftserver.operation.key.HostCertificate hostCertificateFor(java.lang.String name)
                                                                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### addHostCertificate

          public void addHostCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### updateHostCertificate

          public void updateHostCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteHostCertificate

          public void deleteHostCertificate(java.lang.String name)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### hostPublicKeySummaries

          public com.jscape.inet.mftserver.operation.key.PublicKeySummary[] hostPublicKeySummaries()
                                                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### createHostPublicKey

          public void createHostPublicKey(PublicKeyRecord record)
                                   throws ManagerException

      Deprecated.
      Parameters:
        `record` -
      Throws:
        `ManagerException`

    - #### hostPublicKeyFor

          public com.jscape.inet.mftserver.operation.key.HostPublicKey hostPublicKeyFor(java.lang.String name)
                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### addHostPublicKey

          public void addHostPublicKey(com.jscape.inet.mftserver.operation.key.HostPublicKey key)
                                throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteHostPublicKey

          public void deleteHostPublicKey(java.lang.String name)
                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### clientCertificateSummaries

          public com.jscape.inet.mftserver.operation.key.CertificateSummary[] clientCertificateSummaries()
                                                                                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### createClientCertificate

          public void createClientCertificate(CertificateRecord record)
                                       throws ManagerException

      Deprecated.
      Parameters:
        `record` -
      Throws:
        `ManagerException`

    - #### clientCertificateFor

          public com.jscape.inet.mftserver.operation.key.HostCertificate clientCertificateFor(java.lang.String name)
                                                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### addClientCertificate

          public void addClientCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)
                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### updateClientCertificate

          public void updateClientCertificate(com.jscape.inet.mftserver.operation.key.HostCertificate certificate)
                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteClientCertificate

          public void deleteClientCertificate(java.lang.String name)
                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### clientPublicKeySummaries

          public com.jscape.inet.mftserver.operation.key.PublicKeySummary[] clientPublicKeySummaries()
                                                                                              throws ManagerException

      Throws:
        `ManagerException`

    - #### createClientPublicKey

          public void createClientPublicKey(PublicKeyRecord record)
                                     throws ManagerException

      Deprecated.
      Parameters:
        `record` -
      Throws:
        `ManagerException`

    - #### clientPublicKeyFor

          public com.jscape.inet.mftserver.operation.key.HostPublicKey clientPublicKeyFor(java.lang.String name)
                                                                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### addClientPublicKey

          public void addClientPublicKey(com.jscape.inet.mftserver.operation.key.HostPublicKey key)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteClientPublicKey

          public void deleteClientPublicKey(java.lang.String name)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### pgpSecretKeySummaries

          public com.jscape.inet.mftserver.operation.key.PgpKeySummary[] pgpSecretKeySummaries()
                                                                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### createPgpSecretKey

          public void createPgpSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRing ring)
                                  throws ManagerException

      Deprecated.
      Parameters:
        `ring` -
      Throws:
        `ManagerException`

    - #### pgpSecretKeyFor

          public com.jscape.inet.mftserver.operation.key.PgpSecretKey pgpSecretKeyFor(java.lang.String name)
                                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### addPgpSecretKey

          public void addPgpSecretKey(com.jscape.inet.mftserver.operation.key.PgpSecretKey key)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### deletePgpSecretKey

          public void deletePgpSecretKey(java.lang.String name)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### pgpPublicKeySummaries

          public com.jscape.inet.mftserver.operation.key.PgpKeySummary[] pgpPublicKeySummaries()
                                                                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### createPgpPublicKey

          public void createPgpPublicKey(org.bouncycastle.openpgp.PGPPublicKeyRing ring)
                                  throws ManagerException

      Deprecated.
      Parameters:
        `ring` -
      Throws:
        `ManagerException`

    - #### pgpPublicKeyFor

          public com.jscape.inet.mftserver.operation.key.PgpPublicKey pgpPublicKeyFor(java.lang.String name)
                                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### addPgpPublicKey

          public void addPgpPublicKey(com.jscape.inet.mftserver.operation.key.PgpPublicKey key)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### updatePgpPublicKey

          public void updatePgpPublicKey(com.jscape.inet.mftserver.operation.key.PgpPublicKey key)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### deletePgpPublicKey

          public void deletePgpPublicKey(java.lang.String name)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### certificates

          public CertificateMap certificates()
                                      throws ManagerException

      Deprecated. keys() should be used instead
      Gets known client certificates.
      Returns:
        known client certificates
      Throws:
        `ManagerException` - if an error occurs

    - #### publicKeys

          public PublicKeyMap publicKeys()
                                  throws ManagerException

      Deprecated. getKeys() should be used instead
      Gets known client public keys.
      Returns:
        known client public keys
      Throws:
        `ManagerException` - if an error occurs

    - #### privateKeys

          public KeyPairMap privateKeys()
                                 throws ManagerException

      Deprecated. getKeys() should be used instead
      Gets server keys.
      Returns:
        server keys
      Throws:
        `ManagerException` - if an error occurs

    - #### updateKeys

          public void updateKeys(CertificateMap clientCertificates,
                                 PublicKeyMap clientPublicKeys,
                                 CertificateMap hostCertificates,
                                 PublicKeyMap hostPublicKeys,
                                 KeyPairMap serverKeyPairs,
                                 PgpKeystore pgpKeys)
                          throws ManagerException

      Deprecated. getKeys() should be used instead
      Sets security credentials.
      Parameters:
        `clientCertificates` - known client certificates
        `clientPublicKeys` - known client public keys
        `hostCertificates` - known host certificates
        `hostPublicKeys` - known host public keys
        `serverKeyPairs` - server keys
        `pgpKeys` - PGP keys
      Throws:
        `ManagerException` - if an error occurs

    - #### searchingServiceConfiguration

          public com.jscape.inet.mft.subsystems.searching.SearchingServiceConfiguration searchingServiceConfiguration()
                                                                                                               throws ManagerException

      Returns searching service configuration.
      Returns:
        searching service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateSearchingServiceConfiguration

          public void updateSearchingServiceConfiguration(com.jscape.inet.mft.subsystems.searching.SearchingServiceConfiguration configuration)
                                                   throws ManagerException

      Sets searching service configuration.
      Parameters:
        `configuration` - a searching service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### documentViewerConfiguration

          public com.jscape.inet.mft.DocumentViewerConfiguration documentViewerConfiguration()
                                                                                      throws ManagerException

      Returns document viewer configuration.
      Returns:
        document viewer configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateDocumentViewerConfiguration

          public void updateDocumentViewerConfiguration(com.jscape.inet.mft.DocumentViewerConfiguration configuration)
                                                 throws ManagerException

      Sets document viewer configuration.
      Parameters:
        `configuration` - a document viewer confuguration
      Throws:
        `ManagerException` - if an error occurs

    - #### managementAccessServiceConfiguration

          public com.jscape.inet.mft.ManagementAccessServiceConfiguration managementAccessServiceConfiguration()
                                                                                                        throws ManagerException

      Returns management access service configuration.
      Returns:
        a management access servicr configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateManagementAccessServiceConfiguration

          public void updateManagementAccessServiceConfiguration(com.jscape.inet.mft.ManagementAccessServiceConfiguration configuration)
                                                          throws ManagerException

      Sets management access service configuration.
      Parameters:
        `configuration` - a management access service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### emailServiceConfiguration

          public EmailServiceConfiguration emailServiceConfiguration()
                                                              throws ManagerException

      Returns email service configuration.
      Returns:
        email service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### testEmailServiceConfiguration

          public void testEmailServiceConfiguration(EmailServiceConfiguration configuration,
                                                    java.lang.String recipient)
                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateEmailServiceConfiguration

          public void updateEmailServiceConfiguration(EmailServiceConfiguration configuration)
                                               throws ManagerException

      Sets email service configuration.
      Parameters:
        `configuration` - new configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### webServiceConfiguration

          public com.jscape.inet.mft.WebServiceDescriptor webServiceConfiguration()
                                                                           throws ManagerException

      Returns web server configuration.
      Returns:
        web server configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateWebServiceConfiguration

          public void updateWebServiceConfiguration(com.jscape.inet.mft.WebServiceDescriptor descriptor)
                                             throws ManagerException

      Sets web server configuration.
      Parameters:
        `descriptor` - a new web server configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### jmxServiceConfiguration

          public com.jscape.inet.mft.JmxServiceConfiguration jmxServiceConfiguration()
                                                                              throws ManagerException

      Returns JMX service configuration.
      Returns:
        a JMX service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateJmxServiceConfiguration

          public void updateJmxServiceConfiguration(com.jscape.inet.mft.JmxServiceConfiguration configuration)
                                             throws ManagerException

      Sets JMX service configuration.
      Parameters:
        `configuration` - a JMX service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### failoverServiceConfiguration

          public com.jscape.inet.mft.management.common.FailoverServiceConfiguration failoverServiceConfiguration()
                                                                                                          throws ManagerException

      Returns failover server configuration.
      Returns:
        failover server configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### updateFailoverServiceConfiguration

          public void updateFailoverServiceConfiguration(com.jscape.inet.mft.management.common.FailoverServiceConfiguration configuration)
                                                  throws ManagerException

      Sets failover server configuration.
      Parameters:
        `configuration` - a new web server configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### syncServerState

          public void syncServerState(java.lang.String host,
                                      int port,
                                      long timeout,
                                      java.lang.String username,
                                      java.lang.String password,
                                      com.jscape.inet.mft.IPSubstitutor substitutor,
                                      boolean forceStart)
                               throws ManagerException

      Syncs server state with failover server.
      Parameters:
        `host` - failover server host
        `port` - failover server port
        `timeout` - failover server connection timeout
        `username` - failover server username
        `password` - failover server password
        `substitutor` - failover server IP substitutor
        `forceStart` - force failover server to start all services and domains
      Throws:
        `ManagerException` - if an error occurs

    - #### isFailoverSyncCompleted

          public boolean isFailoverSyncCompleted()
                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### domainNames

          public java.lang.String[] domainNames()
                                         throws ManagerException

      Returns server domain names.
      Returns:
        server domain names
      Throws:
        `ManagerException` - if an error occurs

    - #### allDomains

          public DomainDescriptor[] allDomains()
                                        throws ManagerException

      Gets all available domains descriptors.
      Returns:
        an array of domain descriptors
      Throws:
        `ManagerException` - if an error occurs

    - #### domainFor

          public DomainDescriptor domainFor(java.lang.String domainName)
                                     throws ManagerException

      Returns domain descriptor.
      Parameters:
        `domainName` - domain name
      Returns:
        corresponded domain descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### addDomain

          public void addDomain(DomainDescriptor descriptor)
                         throws ManagerException

      Adds a new domain.
      Parameters:
        `descriptor` - the domain descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteDomain

          public void deleteDomain(java.lang.String domainName)
                            throws ManagerException

      Deletes a domain.
      Parameters:
        `domainName` - the domain name
      Throws:
        `ManagerException` - if an error occurs

    - #### setDomainDescription

          public void setDomainDescription(java.lang.String domainName,
                                           java.lang.String description)
                                    throws ManagerException

      Sets new domain description.
      Parameters:
        `domainName` - target domain name
        `description` - new domain description
      Throws:
        `ManagerException` - if an error occurs

    - #### startAllDomains

          public void startAllDomains()
                               throws ManagerException

      Starts all domains.
      Throws:
        `ManagerException` - if an error occurs

    - #### startDomain

          public void startDomain(java.lang.String domainName)
                           throws ManagerException

      Starts a specified domain.
      Parameters:
        `domainName` - the domain name
      Throws:
        `ManagerException` - if an error occurs

    - #### stopAllDomains

          public void stopAllDomains()
                              throws ManagerException

      Stops all domains.
      Throws:
        `ManagerException` - if an error occurs

    - #### stopDomain

          public void stopDomain(java.lang.String domainName)
                          throws ManagerException

      Stops a specified domain.
      Parameters:
        `domainName` - the domain name
      Throws:
        `ManagerException` - if an error occurs

    - #### pauseDomain

          public void pauseDomain(java.lang.String domainName)
                           throws ManagerException

      Pauses a specified domain.
      Parameters:
        `domainName` - the domain name
      Throws:
        `ManagerException` - if an error occurs

    - #### resumeDomain

          public void resumeDomain(java.lang.String domainName)
                            throws ManagerException

      Resumes a specified domain.
      Parameters:
        `domainName` - the domain name
      Throws:
        `ManagerException` - if an error occurs

    - #### domainStatisticsFor

          public com.jscape.inet.mft.DomainStatistics domainStatisticsFor(java.lang.String domainName)
                                                                   throws ManagerException

      Returns domain statistics.
      Parameters:
        `domainName` - domain name
      Returns:
        domain statistics
      Throws:
        `ManagerException` - if an error occurs

    - #### statisticsOf

          public com.jscape.inet.mft.DomainStatistics statisticsOf(java.lang.String domainName)
                                                            throws ManagerException

      Deprecated. getDomainStatistic() should be used instead
      Gets a domain statistics.
      Parameters:
        `domainName` - the domain name
      Returns:
        a domain statistics instance
      Throws:
        `ManagerException` - if an error occurs

    - #### addService

          public void addService(java.lang.String domainName,
                                 ServiceDescriptor descriptor)
                          throws ManagerException

      Adds a service to domain.
      Parameters:
        `domainName` - domain name
        `descriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteService

          public void deleteService(java.lang.String domainName,
                                    ServiceDescriptor descriptor)
                             throws ManagerException

      Deletes service from domain.
      Parameters:
        `domainName` - domain name
        `descriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### updateServiceConfiguration

          public void updateServiceConfiguration(java.lang.String domainName,
                                                 Configuration configuration)
                                          throws ManagerException

      Sets domain service configuration.
      Parameters:
        `domainName` - domain name
        `configuration` - service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### startService

          public void startService(java.lang.String domainName,
                                   ServiceDescriptor descriptor)
                            throws ManagerException

      Starts domain service.
      Parameters:
        `domainName` - domain name
        `descriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### stopService

          public void stopService(java.lang.String domainName,
                                  ServiceDescriptor descriptor)
                           throws ManagerException

      Stopps domain service.
      Parameters:
        `domainName` - domain name
        `descriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### setAuthenticationService

          public void setAuthenticationService(java.lang.String domainName,
                                               AuthenticationServiceDescriptor serviceDescriptor)
                                        throws ManagerException

      Deprecated.
      Sets new domain authentication service. This method should be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### userAuthenticationServiceConfiguration

          public AuthenticationServiceDescriptor userAuthenticationServiceConfiguration(java.lang.String domainName)
                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### updateUserAuthenticationServiceConfiguration

          public void updateUserAuthenticationServiceConfiguration(java.lang.String domainName,
                                                                   AuthenticationServiceDescriptor configuration)
                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### testAuthenticationService

          public void testAuthenticationService(java.lang.String domainName,
                                                ServiceDescriptor descriptor,
                                                java.lang.String login,
                                                java.lang.String password,
                                                java.lang.String ip)
                                         throws ManagerException

      Tests authentication subsystem.
      Parameters:
        `descriptor` - subsystem descriptor
        `login` - user login
        `password` - user password
        `ip` - client IP
      Throws:
        `ManagerException` - if an error occurs

    - #### userSsoAuthenticationServiceConfiguration

          public com.jscape.inet.mft.subsystems.authentication.sso.UserSsoAuthenticationServiceConfiguration userSsoAuthenticationServiceConfiguration(java.lang.String domainName)
                                                                                                                                                throws ManagerException

      Throws:
        `ManagerException`

    - #### updateUserSsoAuthenticationServiceConfiguration

          public void updateUserSsoAuthenticationServiceConfiguration(java.lang.String domainName,
                                                                      com.jscape.inet.mft.subsystems.authentication.sso.UserSsoAuthenticationServiceConfiguration configuration)
                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### storeReport

          public void storeReport(java.lang.String domainName,
                                  Report report)
                           throws ManagerException

      Throws:
        `ManagerException`

    - #### setDatastoreService

          public void setDatastoreService(java.lang.String domainName,
                                          DatastoreServiceDescriptor serviceDescriptor)
                                   throws ManagerException

      Sets new domain datastore service. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### testDatastoreService

          public void testDatastoreService(ServiceDescriptor descriptor)
                                    throws ManagerException

      Tests the datastore service.
      Parameters:
        `descriptor` - datastore service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### setLogService

          public void setLogService(java.lang.String domainName,
                                    LogServiceDescriptor serviceDescriptor,
                                    LogConfiguration configuration)
                             throws ManagerException

      Sets new domain log service. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptor` - service descriptor
        `configuration` - log service configuration
      Throws:
        `ManagerException` - if an error occurs

    - #### domainLogServiceConfiguration

          public LogServiceDescriptor domainLogServiceConfiguration(java.lang.String domainName)
                                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDomainLogServiceConfiguration

          public void updateDomainLogServiceConfiguration(java.lang.String domainName,
                                                          LogServiceDescriptor configuration)
                                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### testLogService

          public void testLogService(java.lang.String domainName,
                                     ServiceDescriptor descriptor)
                              throws ManagerException

      Tests log service subsystem.
      Parameters:
        `descriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### setPasswordService

          public void setPasswordService(java.lang.String domainName,
                                         PasswordServiceDescriptor serviceDescriptor)
                                  throws ManagerException

      Sets new domain password service. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### setTransportServices

          public void setTransportServices(java.lang.String domainName,
                                           TransportServiceDescriptor[] serviceDescriptors,
                                           Configuration[] configurations)
                                    throws ManagerException

      Sets new domain transport services. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptors` - service descriptors
        `configurations` - common services configurations, `FtpConfiguration, SftpConfiguration, HttpConfiguration, WebDavConfiguration`
      Throws:
        `ManagerException` - if an error occurs

    - #### setRestrictionServices

          public void setRestrictionServices(java.lang.String domainName,
                                             ServiceDescriptor[] serviceDescriptors)
                                      throws ManagerException

      Sets new domain restriction services. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptors` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### setEventService

          public void setEventService(java.lang.String domainName,
                                      ServiceDescriptor serviceDescriptor)
                               throws ManagerException

      Sets new domain event service. This method must be called on stopped domain.
      Parameters:
        `domainName` - target domain name
        `serviceDescriptor` - service descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### reportsOf

          public Report[] reportsOf(java.lang.String domainName)
                             throws ManagerException

      Returns all domain reports.
      Parameters:
        `domainName` - the domain name
      Returns:
        available domain reports
      Throws:
        `ManagerException` - if an error occurs

    - #### addReport

          public void addReport(java.lang.String domainName,
                                Report report)
                         throws ManagerException

      Adds a new report to the domain.
      Parameters:
        `domainName` - the domain name
        `report` - a new report instance
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteReport

          public void deleteReport(java.lang.String domainName,
                                   java.lang.String reportName)
                            throws ManagerException

      Deletes a report.
      Parameters:
        `domainName` - the domain name
        `reportName` - the report name
      Throws:
        `ManagerException` - if an error occurs

    - #### reverseProxyFor

          public com.jscape.inet.mft.resources.RemoteResourceDescriptor reverseProxyFor(java.lang.String domainName,
                                                                                        java.lang.String name)
                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### storeReverseProxy

          public void storeReverseProxy(java.lang.String domainName,
                                        ResourceDescriptor descriptor)
                                 throws ManagerException

      Stores reverse proxy.
      Parameters:
        `domainName` - the domain name
        `descriptor` - reverse proxy descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### createReverseProxy

          public void createReverseProxy(java.lang.String domainName,
                                         com.jscape.inet.mft.resources.RemoteResourceDescriptor descriptor)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### updateReverseProxy

          public void updateReverseProxy(java.lang.String domainName,
                                         com.jscape.inet.mft.resources.RemoteResourceDescriptor descriptor)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### addResource

          public void addResource(java.lang.String domainName,
                                  ResourceDescriptor resource)
                           throws ManagerException

      Deprecated. storeReverseProxy() should be used instead
      Adds a new remote resource.
      Parameters:
        `domainName` - the domain name
        `resource` - a new remote resource descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteReverseProxy

          public void deleteReverseProxy(java.lang.String domainName,
                                         java.lang.String proxyName)
                                  throws ManagerException

      Deletes remote proxy.
      Parameters:
        `domainName` - domain name
        `proxyName` - proxy name
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteResource

          public void deleteResource(java.lang.String domainName,
                                     java.lang.String resourceName)
                              throws ManagerException

      Deprecated. deleteReverseProxy() should be used instead
      Deletes a resource.
      Parameters:
        `domainName` - the domain name
        `resourceName` - the resource name
      Throws:
        `ManagerException` - if an error occurs

    - #### testReverseProxy

          public void testReverseProxy(ResourceDescriptor descriptor)
                                throws ManagerException

      Tests reverse proxy accessibility.
      Parameters:
        `descriptor` - target reverse proxy descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### updateAccessRules

          public void updateAccessRules(java.lang.String domainName,
                                        IPAccessRule[] rules)
                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### accountInfosOf

          public java.util.List<com.jscape.inet.mft.AccountInfo> accountInfosOf(java.lang.String domainName)
                                                                         throws ManagerException

      Throws:
        `ManagerException`

    - #### accountFor

          public Account accountFor(java.lang.String domainName,
                                    java.lang.String accountName)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### accountQuotaFor

          public com.jscape.inet.mft.management.common.AccountTransferQuota accountQuotaFor(java.lang.String domainName,
                                                                                            java.lang.String accountName)
                                                                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### storeAccount

          public void storeAccount(java.lang.String domainName,
                                   Account account)
                            throws ManagerException

      Throws:
        `ManagerException`

    - #### createAccount

          public void createAccount(java.lang.String domainName,
                                    Account account)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAccount

          public void updateAccount(java.lang.String domainName,
                                    Account account)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAccountPassword

          public void updateAccountPassword(java.lang.String domainName,
                                            java.lang.String accountName,
                                            java.lang.String password,
                                            boolean passwordResetRequired)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### testResource

          public void testResource(ResourceDescriptor resource)
                            throws ManagerException

      Deprecated. testReverseProxy() should be used instead
      Tests remote resource accessibility.
      Parameters:
        `resource` - the resource to test
      Throws:
        `ManagerException` - if an error occurs

    - #### accessRulesOf

          public IPAccessRule[] accessRulesOf(java.lang.String domainName)
                                       throws ManagerException

      Gets a domain IP access rules.
      Parameters:
        `domainName` - the domain name
      Returns:
        the IP access rules array
      Throws:
        `ManagerException` - if an error occurs

    - #### setAccessRules

          public void setAccessRules(java.lang.String domainName,
                                     IPAccessRule[] rules)
                              throws ManagerException

      Sets domain IP access rules. Since access rules may change while domain work, this method should be called on stopped domain.
      Parameters:
        `domainName` - the domain name
        `rules` - access rules
      Throws:
        `ManagerException` - if an error occurs

    - #### accountsOf

          public Account[] accountsOf(java.lang.String domainName)
                               throws ManagerException

      Gets domain accounts.
      Parameters:
        `domainName` - the domain name.
      Returns:
        accounts array
      Throws:
        `ManagerException` - if an error occurs

    - #### accountQuotasOf

          public java.util.Map accountQuotasOf(java.lang.String domainName)
                                        throws ManagerException

      Returns account's quotas.
      Parameters:
        `domainName` - domain name
      Returns:
        account's qoutas
      Throws:
        `ManagerException` - if an error occurs

    - #### findAccount

          public Account findAccount(java.lang.String domainName,
                                     java.lang.String login)
                              throws ManagerException

      Finds the specified account.
      Parameters:
        `domainName` - the domain name
        `login` - user login
      Returns:
        an account instance or `null` if account is not found
      Throws:
        `ManagerException` - if an error occurs

    - #### addAccount

          public void addAccount(java.lang.String domainName,
                                 Account account)
                          throws ManagerException

      Adds a new account to the domain. Throws an exception if account already exists.
      Parameters:
        `domainName` - the domain name
        `account` - the new account
      Throws:
        `ManagerException` - if an error occurs

    - #### setAccount

          public void setAccount(java.lang.String domainName,
                                 Account account)
                          throws ManagerException

      Updates account for domain.
      Parameters:
        `domainName` - the domain name
        `account` - the updated account
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteAccount

          public void deleteAccount(java.lang.String domaiName,
                                    java.lang.String accountName)
                             throws ManagerException

      Deletes domain account.
      Parameters:
        `domaiName` - the domain name
        `accountName` - account name
      Throws:
        `ManagerException` - if an error occurs

    - #### validateAccountPassword

          public void validateAccountPassword(java.lang.String domainName,
                                              java.lang.String accountName,
                                              java.lang.String password)
                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### groupFor

          public Group groupFor(java.lang.String domainName,
                                java.lang.String name)
                         throws ManagerException

      Throws:
        `ManagerException`

    - #### storeGroup

          public void storeGroup(java.lang.String domainName,
                                 Group group)
                          throws ManagerException

      Throws:
        `ManagerException`

    - #### createGroup

          public void createGroup(java.lang.String domainName,
                                  Group group)
                           throws ManagerException

      Throws:
        `ManagerException`

    - #### updateGroup

          public void updateGroup(java.lang.String domainName,
                                  Group group)
                           throws ManagerException

      Throws:
        `ManagerException`

    - #### groupsOf

          public Group[] groupsOf(java.lang.String domainName)
                           throws ManagerException

      Gets domain groups.
      Parameters:
        `domainName` - the domain name
      Returns:
        groups array
      Throws:
        `ManagerException` - if an error occurs

    - #### addGroup

          public void addGroup(java.lang.String domainName,
                               Group group)
                        throws ManagerException

      Adds a new group.
      Parameters:
        `domainName` - the domain name
        `group` - the new group
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteGroup

          public void deleteGroup(java.lang.String domainName,
                                  java.lang.String groupName)
                           throws ManagerException

      Deletes a group.
      Parameters:
        `domainName` - the domain name
        `groupName` - the group name
      Throws:
        `ManagerException` - if an error occurs

    - #### accountTemplateFor

          public com.jscape.inet.vfs.AccountTemplate accountTemplateFor(java.lang.String domainName,
                                                                        java.lang.String name)
                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### groupAccountsFor

          public java.lang.String[] groupAccountsFor(java.lang.String domainName,
                                                     java.lang.String groupName)
                                              throws ManagerException

      Throws:
        `ManagerException`

    - #### setGroupAccounts

          public void setGroupAccounts(java.lang.String domainName,
                                       java.lang.String groupName,
                                       java.lang.String[] accounts)
                                throws ManagerException

      Throws:
        `ManagerException`

    - #### accountTemplatesOf

          public com.jscape.inet.vfs.AccountTemplate[] accountTemplatesOf(java.lang.String domainName)
                                                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### storeAccountTemplate

          public void storeAccountTemplate(java.lang.String domainName,
                                           com.jscape.inet.vfs.AccountTemplate template)
                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### createAccountTemplate

          public void createAccountTemplate(java.lang.String domainName,
                                            com.jscape.inet.vfs.AccountTemplate template)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAccountTemplate

          public void updateAccountTemplate(java.lang.String domainName,
                                            com.jscape.inet.vfs.AccountTemplate template)
                                     throws ManagerException

      Saves account template to the server.
      Parameters:
        `domainName` - the domain name
        `template` - the template
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteAccountTemplate

          public void deleteAccountTemplate(java.lang.String domainName,
                                            java.lang.String templateName)
                                     throws ManagerException

      Deletes the specified template from the server.
      Parameters:
        `domainName` - the domain name
        `templateName` - the template name
      Throws:
        `ManagerException` - if an error occurs

    - #### directoryMonitorFor

          public DirectoryMonitor directoryMonitorFor(java.lang.String domainName,
                                                      java.lang.String name)
                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### storeDirectoryMonitor

          public void storeDirectoryMonitor(java.lang.String domainName,
                                            DirectoryMonitor monitor)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### createDirectoryMonitor

          public void createDirectoryMonitor(java.lang.String domainName,
                                             DirectoryMonitor monitor)
                                      throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDirectoryMonitor

          public void updateDirectoryMonitor(java.lang.String domainName,
                                             DirectoryMonitor monitor)
                                      throws ManagerException

      Throws:
        `ManagerException`

    - #### directoryMonitorsOf

          public DirectoryMonitor[] directoryMonitorsOf(java.lang.String domainName)
                                                 throws ManagerException

      Returns directory monitors for the specifed domain.
      Parameters:
        `domainName` - domain name
      Returns:
        directory monitors
      Throws:
        `ManagerException` - if an error occurs

    - #### addDirectoryMonitor

          public void addDirectoryMonitor(java.lang.String domainName,
                                          DirectoryMonitor monitor)
                                   throws ManagerException

      Adds a new directory monitor.
      Parameters:
        `domainName` - domain name
        `monitor` - directory monitor instance
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteDirectoryMonitor

          public void deleteDirectoryMonitor(java.lang.String domainName,
                                             java.lang.String monitorName)
                                      throws ManagerException

      Removes directory monitor.
      Parameters:
        `domainName` - domain name
        `monitorName` - monitor name
      Throws:
        `ManagerException` - if an error occurs

    - #### dropZoneFor

          public DropZoneDescriptor dropZoneFor(java.lang.String domainName,
                                                java.lang.String name)
                                         throws ManagerException

      Throws:
        `ManagerException`

    - #### contactsOf

          public Contact[] contactsOf(java.lang.String domainName)
                               throws ManagerException

      Returns contacts for domain.
      Parameters:
        `domainName` - domain name
      Returns:
        the contacts for domain
      Throws:
        `ManagerException` - if an error occurs

    - #### addContact

          public void addContact(java.lang.String domainName,
                                 Contact contact)
                          throws ManagerException

      Adds a new contact.
      Parameters:
        `domainName` - domain name
        `contact` - contact
      Throws:
        `ManagerException` - if any error occurs

    - #### deleteContact

          public void deleteContact(java.lang.String domainName,
                                    Contact contact)
                             throws ManagerException

      Deletes contact.
      Parameters:
        `domainName` - a domain name
        `contact` - a contact
      Throws:
        `ManagerException` - if any error occurs

    - #### dropZonesOf

          public DropZoneDescriptor[] dropZonesOf(java.lang.String domainName)
                                           throws ManagerException

      Returns domain's drop zones.
      Parameters:
        `domainName` - a domain name
      Returns:
        an array of available drop zones
      Throws:
        `ManagerException` - if an error occurs

    - #### findDropZoneDescriptor

          public DropZoneDescriptor findDropZoneDescriptor(java.lang.String domainName,
                                                           java.lang.String zoneName)
                                                    throws ManagerException

      Finds drop zone descriptor.
      Parameters:
        `domainName` - a domain name
        `zoneName` - a zone name
      Returns:
        a zone descriptor or `null` if zone with specified name not found
      Throws:
        `ManagerException` - if an error occurs

    - #### storeDropZone

          public void storeDropZone(java.lang.String domainName,
                                    DropZoneDescriptor zoneDescriptor)
                             throws ManagerException

      Stores a drop zone.
      Parameters:
        `domainName` - a domain name
        `zoneDescriptor` - a zone descriptor
      Throws:
        `ManagerException` - if an error occurs

    - #### createDropZone

          public void createDropZone(java.lang.String domainName,
                                     DropZoneDescriptor descriptor)
                              throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDropZone

          public void updateDropZone(java.lang.String domainName,
                                     DropZoneDescriptor descriptor)
                              throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteDropZone

          public void deleteDropZone(java.lang.String domainName,
                                     java.lang.String zoneName)
                              throws ManagerException

      Deletes a drop zone.
      Parameters:
        `domainName` - a domain name
        `zoneName` - a zone name
      Throws:
        `ManagerException` - if an error occurs

    - #### purgeDropZone

          public void purgeDropZone(java.lang.String domainName,
                                    java.lang.String zoneName)
                             throws ManagerException

      Purges a drop zone.
      Parameters:
        `domainName` - a domain name
        `zoneName` - a zone name
      Throws:
        `ManagerException` - if an error occurs

    - #### webThemeFor

          public com.jscape.inet.mft.WebTheme webThemeFor(java.lang.String domainName,
                                                          java.lang.String name)
                                                   throws ManagerException

      Throws:
        `ManagerException`

    - #### dropZoneUrlFor

          public java.lang.String dropZoneUrlFor(java.lang.String domainName,
                                                 java.lang.String zoneName)

      Returns a drop zone URL file (an URL part after host and port).
      Parameters:
        `domainName` - a domain name
        `zoneName` - a zone name
      Returns:
        a drop zone URL file

    - #### storeWebTheme

          public void storeWebTheme(java.lang.String domainName,
                                    com.jscape.inet.mft.WebTheme theme)
                             throws ManagerException

      Stores a web theme.
      Parameters:
        `domainName` - a domain name
        `theme` - a theme
      Throws:
        `ManagerException` - if an error occurs

    - #### createWebTheme

          public void createWebTheme(java.lang.String domainName,
                                     com.jscape.inet.mft.WebTheme theme)
                              throws ManagerException

      Throws:
        `ManagerException`

    - #### updateWebTheme

          public void updateWebTheme(java.lang.String domainName,
                                     com.jscape.inet.mft.WebTheme theme)
                              throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteWebTheme

          public void deleteWebTheme(java.lang.String domainName,
                                     java.lang.String themeName)
                              throws ManagerException

      Deletes a web theme.
      Parameters:
        `domainName` - a domain name
        `themeName` - a theme name
      Throws:
        `ManagerException` - if an error occurs

    - #### tradingPartnerFor

          public com.jscape.inet.mft.TradingPartner tradingPartnerFor(java.lang.String domainName,
                                                                      java.lang.String name)
                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### storeTradingPartner

          public void storeTradingPartner(java.lang.String domainName,
                                          com.jscape.inet.mft.TradingPartner partner)
                                   throws ManagerException

      Stores a trading partner.
      Parameters:
        `domainName` - a domain name
        `partner` - a partner
      Throws:
        `ManagerException` - if an error occurs

    - #### createTradingPartner

          public void createTradingPartner(java.lang.String domainName,
                                           com.jscape.inet.mft.TradingPartner partner)
                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### updateTradingPartner

          public void updateTradingPartner(java.lang.String domainName,
                                           com.jscape.inet.mft.TradingPartner partner)
                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteTradingPartner

          public void deleteTradingPartner(java.lang.String domainName,
                                           java.lang.String partnerName)
                                    throws ManagerException

      Deletes a trading partner.
      Parameters:
        `domainName` - a domain name
        `partnerName` - a partner name
      Throws:
        `ManagerException` - if an error occurs

    - #### testTradingPartner

          public void testTradingPartner(com.jscape.inet.mft.TradingPartner partner)
                                  throws ManagerException

      Tests a trading partner.
      Parameters:
        `partner` - a partner
      Throws:
        `ManagerException` - if an error occurs

    - #### sendTradingPartnerFile

          public void sendTradingPartnerFile(java.lang.String domainName,
                                             java.lang.String partnerName,
                                             java.lang.String path)
                                      throws ManagerException

      Throws:
        `ManagerException`

    - #### contactFor

          public Contact contactFor(java.lang.String domainName,
                                    java.lang.String name)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### storeContact

          public void storeContact(java.lang.String domainName,
                                   Contact contact)
                            throws ManagerException

      Throws:
        `ManagerException`

    - #### createContact

          public void createContact(java.lang.String domainName,
                                    Contact contact)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateContact

          public void updateContact(java.lang.String domainName,
                                    Contact contact)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteContact

          public void deleteContact(java.lang.String domainName,
                                    java.lang.String contactId)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### startFileIndexing

          public void startFileIndexing()
                                 throws ManagerException

      Starts file indexing.
      Throws:
        `ManagerException` - if any error occurs

    - #### kickUser

          public void kickUser(java.lang.String domainName,
                               java.lang.String accountName,
                               boolean disableAccount)
                        throws ManagerException

      Closes user sessions.
      Parameters:
        `domainName` - the domain name
        `accountName` - the account name
        `disableAccount` - if `true` account will be disabled
      Throws:
        `ManagerException` - if an error occurs

    - #### runTrigger

          public void runTrigger(java.lang.String domainName,
                                 java.lang.String triggerName)
                          throws ManagerException

      Runs trigger.
      Parameters:
        `domainName` - domain name
        `triggerName` - trigger name
      Throws:
        `ManagerException` - if an error occurs

    - #### triggerFor

          public Trigger triggerFor(java.lang.String domainName,
                                    java.lang.String name)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### triggersOf

          public Trigger[] triggersOf(java.lang.String domainName)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### triggers

          public void triggers(java.lang.String domainName,
                               java.util.List<Trigger> triggers)
                        throws ManagerException

      Throws:
        `ManagerException`

    - #### createTrigger

          public void createTrigger(java.lang.String domainName,
                                    Trigger trigger)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateTrigger

          public void updateTrigger(java.lang.String domainName,
                                    Trigger trigger)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteTrigger

          public void deleteTrigger(java.lang.String domainName,
                                    java.lang.String triggerName)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### triggerOrderFor

          public com.jscape.inet.mft.subsystems.triggers.TriggerOrder triggerOrderFor(java.lang.String domainName,
                                                                                      java.lang.String eventClass)
                                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### updateTriggerOrder

          public void updateTriggerOrder(java.lang.String domainName,
                                         com.jscape.inet.mft.subsystems.triggers.TriggerOrder triggerOrder)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### pauseTrigger

          public void pauseTrigger(java.lang.String domainName,
                                   java.lang.String id)
                            throws ManagerException

      Throws:
        `ManagerException`

    - #### resumeTrigger

          public void resumeTrigger(java.lang.String domainName,
                                    java.lang.String id)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### triggerServiceConfiguration

          public com.jscape.inet.mft.TriggerServiceConfiguration triggerServiceConfiguration(java.lang.String domainName)
                                                                                      throws ManagerException

      Throws:
        `ManagerException`

    - #### updateTriggerServiceConfiguration

          public void updateTriggerServiceConfiguration(java.lang.String domainName,
                                                        com.jscape.inet.mft.TriggerServiceConfiguration configuration)
                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### remoteTriggerServiceConfiguration

          public com.jscape.inet.mft.RemoteTriggerServiceConfiguration remoteTriggerServiceConfiguration(java.lang.String domainName)
                                                                                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### testRemoteTriggerService

          public void testRemoteTriggerService(com.jscape.inet.mft.RemoteTriggerServiceConfiguration configuration)
                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### updateRemoteTriggerServiceConfiguration

          public void updateRemoteTriggerServiceConfiguration(java.lang.String domainName,
                                                              com.jscape.inet.mft.RemoteTriggerServiceConfiguration configuration)
                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### purgeTriggerStates

          public void purgeTriggerStates(java.lang.String domainName,
                                         com.jscape.util.Time maxAge)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### syslogServiceConfiguration

          public SyslogServiceDescriptor syslogServiceConfiguration(java.lang.String domainName)
                                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateSyslogServiceConfiguration

          public void updateSyslogServiceConfiguration(java.lang.String domainName,
                                                       SyslogServiceDescriptor configuration)
                                                throws ManagerException

      Throws:
        `ManagerException`

    - #### passwordComplianceServiceConfiguration

          public PasswordServiceDescriptor passwordComplianceServiceConfiguration(java.lang.String domainName)
                                                                           throws ManagerException

      Throws:
        `ManagerException`

    - #### updatePasswordComplianceServiceConfiguration

          public void updatePasswordComplianceServiceConfiguration(java.lang.String domainName,
                                                                   PasswordServiceDescriptor configuration)
                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### as2Configuration

          public com.jscape.inet.mft.AS2ServiceConfiguration as2Configuration()
                                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### userConfirmationServiceConfiguration

          public UserConfirmationServiceConfiguration userConfirmationServiceConfiguration(java.lang.String domainName)
                                                                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### updateUserConfirmationServiceConfiguration

          public void updateUserConfirmationServiceConfiguration(java.lang.String domainName,
                                                                 UserConfirmationServiceConfiguration configuration)
                                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### bannedFilesServiceConfiguration

          public com.jscape.inet.mft.UploadLimitServiceDescriptor bannedFilesServiceConfiguration(java.lang.String domainName)
                                                                                           throws ManagerException

      Throws:
        `ManagerException`

    - #### updateBannedFilesServiceConfiguration

          public void updateBannedFilesServiceConfiguration(java.lang.String domainName,
                                                            com.jscape.inet.mft.UploadLimitServiceDescriptor configuration)
                                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### purgeAs2Messages

          public void purgeAs2Messages(java.lang.String domainName,
                                       com.jscape.util.Time maxMessageAge)
                                throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDomainAutoStartStatus

          public void updateDomainAutoStartStatus(java.lang.String domainName,
                                                  boolean autoStartRequired)
                                           throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDomainLogConfiguration

          public void updateDomainLogConfiguration(java.lang.String domainName,
                                                   LogConfiguration configuration)
                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDomainFipsModeStatus

          public void updateDomainFipsModeStatus(java.lang.String domainName,
                                                 boolean fipsModeRequired)
                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### userWebServiceConfiguration

          public WebConfiguration userWebServiceConfiguration()
                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### directoryMonitorServiceConfiguration

          public com.jscape.inet.mft.DirectoryMonitorServiceConfiguration directoryMonitorServiceConfiguration(java.lang.String domainName)
                                                                                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDirectoryMonitorServiceConfiguration

          public void updateDirectoryMonitorServiceConfiguration(java.lang.String domainName,
                                                                 com.jscape.inet.mft.DirectoryMonitorServiceConfiguration configuration)
                                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### tags

          public java.lang.String[] tags()
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### managementWebServiceConfiguration

          public com.jscape.inet.mft.ManagementWebServerConfiguration managementWebServiceConfiguration()
                                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### domainLogConfiguration

          public LogConfiguration domainLogConfiguration(java.lang.String domainName)
                                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### updateManagementWebServiceConfiguration

          public void updateManagementWebServiceConfiguration(com.jscape.inet.mft.ManagementWebServerConfiguration configuration)
                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### updateUserWebServiceResourcesConfiguration

          public void updateUserWebServiceResourcesConfiguration(TaggedProperties[] resources,
                                                                 byte[] logoData)
                                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### updateUserWebServiceResourcesConfiguration

          public void updateUserWebServiceResourcesConfiguration(com.jscape.inet.mftserver.operation.web.WebResourcesConfiguration resources,
                                                                 com.jscape.inet.mftserver.operation.web.WebLogoConfiguration logoData)
                                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### updateConnectionServiceConfiguration

          public void updateConnectionServiceConfiguration(java.lang.String domainName,
                                                           com.jscape.inet.mftserver.operation.connection.ConnectionServiceConfiguration configuration)
                                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAs2Configuration

          public void updateAs2Configuration(com.jscape.inet.mft.AS2ServiceConfiguration configuration)
                                      throws ManagerException

      Throws:
        `ManagerException`

    - #### purgeOftpMessages

          public void purgeOftpMessages(java.lang.String domainName,
                                        com.jscape.util.Time maxMessageAge)
                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### connectionServiceConfiguration

          public com.jscape.inet.mftserver.operation.connection.ConnectionServiceConfiguration connectionServiceConfiguration(java.lang.String domainName)
                                                                                                                       throws ManagerException

      Throws:
        `ManagerException`

    - #### roles

          public com.jscape.inet.mft.subsystems.administrator.authorization.ManagementRole[] roles()
                                                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### logOf

          public java.lang.String logOf(java.lang.String domainName,
                                        int recordsCount)
                                 throws ManagerException

      Gets the latest server log lines.
      Parameters:
        `domainName` - the domain name
        `recordsCount` - desired records count
      Returns:
        a log lines from the server
      Throws:
        `ManagerException` - if an error occurs

    - #### triggerStatesOf

          public com.jscape.inet.mft.TriggerState[] triggerStatesOf(java.lang.String domainName)
                                                             throws ManagerException

      Returns triggers states.
      Parameters:
        `domainName` - a domain name
      Returns:
        domain triggers states
      Throws:
        `ManagerException` - if an error occurs

    - #### killTrigger

          public void killTrigger(java.lang.String domainName,
                                  java.lang.String id)
                           throws ManagerException

      Kills trigger.
      Parameters:
        `domainName` - domain name
        `id` - trigger id
      Throws:
        `ManagerException` - if an error occurs

    - #### runMonitor

          public void runMonitor(java.lang.String domainName,
                                 java.lang.String monitorName)
                          throws ManagerException

      Throws:
        `ManagerException`

    - #### closeDomainConnection

          public void closeDomainConnection(java.lang.String domainName,
                                            java.lang.String localAddress,
                                            int localPort,
                                            java.lang.String remoteAddress,
                                            int remotePort,
                                            java.lang.String username,
                                            com.jscape.inet.mft.CloseSessionSelector selector)
                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### closeDomainConnection

          public void closeDomainConnection(java.lang.String domainName,
                                            java.lang.String localAddress,
                                            int localPort,
                                            java.lang.String remoteAddress,
                                            int remotePort)
                                     throws ManagerException

      Closes domain connection.
      Parameters:
        `domainName` - a domain name
        `localAddress` - a local connection address
        `localPort` - a local connection port
        `remoteAddress` - a remote connection address
        `remotePort` - a remote connection port
      Throws:
        `ManagerException` - if an error occurs

    - #### newLogSearch

          public void newLogSearch(java.lang.String domainName,
                                   com.jscape.inet.mft.LogSearch search)
                            throws ManagerException

      Adds new log search.
      Parameters:
        `domainName` - a domain name
        `search` - a search
      Throws:
        `ManagerException` - if an error occurs

    - #### logSearchesOf

          public java.util.List<com.jscape.inet.mft.LogSearch> logSearchesOf(java.lang.String domainName)
                                                                      throws ManagerException

      Returns log searches.
      Parameters:
        `domainName` - a domain name
      Returns:
        log searches
      Throws:
        `ManagerException` - if an error occurs

    - #### logSearchResultFor

          public java.lang.String logSearchResultFor(java.lang.String domainName,
                                                     java.lang.String searchName,
                                                     int maxRecords)
                                              throws ManagerException

      Returns log search result.
      Parameters:
        `domainName` - a domain name
        `searchName` - a search name
        `maxRecords` - a max return records number
      Returns:
        a log search result
      Throws:
        `ManagerException` - if an error occurs

    - #### startLogSearch

          public void startLogSearch(java.lang.String domainName,
                                     java.lang.String searchName)
                              throws ManagerException

      Starts a log search.
      Parameters:
        `domainName` - a domain name
        `searchName` - a search name
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteLogSearch

          public void deleteLogSearch(java.lang.String domainName,
                                      java.lang.String searchName)
                               throws ManagerException

      Deletes a log search.
      Parameters:
        `domainName` - a domain name
        `searchName` - a search name
      Throws:
        `ManagerException` - if an error occurs

    - #### dlpRuleFor

          public com.jscape.inet.mft.DlpRule dlpRuleFor(java.lang.String domainName,
                                                        java.lang.String name)
                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### dlpRulesOf

          public java.util.List<com.jscape.inet.mft.DlpRule> dlpRulesOf(java.lang.String domainName)
                                                                 throws ManagerException

      Returns DLP rules.
      Parameters:
        `domainName` - a domain name
      Returns:
        DLP rules
      Throws:
        `ManagerException` - if an error occurs

    - #### storeDlpRule

          public void storeDlpRule(java.lang.String domainName,
                                   com.jscape.inet.mft.DlpRule rule)
                            throws ManagerException

      Stores a DLP rule.
      Parameters:
        `domainName` - a domain name
        `rule` - a rule
      Throws:
        `ManagerException` - if an error occurs

    - #### createDlpRule

          public void createDlpRule(java.lang.String domainName,
                                    com.jscape.inet.mft.DlpRule rule)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### updateDlpRule

          public void updateDlpRule(java.lang.String domainName,
                                    com.jscape.inet.mft.DlpRule rule)
                             throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteDlpRule

          public void deleteDlpRule(java.lang.String domainName,
                                    java.lang.String ruleName)
                             throws ManagerException

      Deletes a DLP rule.
      Parameters:
        `domainName` - a domain name
        `ruleName` - a rule name
      Throws:
        `ManagerException` - if an error occurs

    - #### selfRegistrationServiceConfiguration

          public com.jscape.inet.mft.SelfRegistrationServiceDescriptor selfRegistrationServiceConfiguration()
                                                                                                     throws ManagerException

      Throws:
        `ManagerException`

    - #### updateSelfRegistrationServiceConfiguration

          public void updateSelfRegistrationServiceConfiguration(com.jscape.inet.mft.SelfRegistrationServiceDescriptor descriptor)
                                                          throws ManagerException

      Throws:
        `ManagerException`

    - #### as2MessageInfosOf

          public java.util.List<com.jscape.inet.mft.subsystems.as2.AS2MessageInfo> as2MessageInfosOf(java.lang.String domainName)
                                                                                              throws ManagerException

      Throws:
        `ManagerException`

    - #### as2MessageInfosOf

          public com.jscape.inet.mft.operation.pagination.Page<com.jscape.inet.mft.subsystems.as2.AS2MessageInfo> as2MessageInfosOf(java.lang.String domainName,
                                                                                                                                    com.jscape.inet.mft.operation.pagination.PageRequest request)
                                                                                                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### as2MessageFor

          public com.jscape.inet.mft.subsystems.as2.AS2MessageRecord as2MessageFor(java.lang.String domainName,
                                                                                   java.lang.String id)
                                                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteAs2Messages

          public void deleteAs2Messages(java.lang.String domainName,
                                        java.lang.String... ids)
                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### resendAs2Message

          public void resendAs2Message(java.lang.String domainName,
                                       java.lang.String id)
                                throws ManagerException

      Throws:
        `ManagerException`

    - #### createAs2MessageRepositoryDb

          public void createAs2MessageRepositoryDb(com.jscape.inet.mft.AS2MessageRepositoryConfiguration configuration)
                                            throws ManagerException

      Throws:
        `ManagerException`

    - #### testAs2MessageRepository

          public void testAs2MessageRepository(com.jscape.inet.mft.AS2MessageRepositoryConfiguration configuration)
                                        throws ManagerException

      Throws:
        `ManagerException`

    - #### oftpMessageInfosOf

          public java.util.List<com.jscape.inet.mft.subsystems.oftp.OftpMessageInfo> oftpMessageInfosOf(java.lang.String domainName)
                                                                                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### oftpMessageInfosOf

          public com.jscape.inet.mft.operation.pagination.Page<com.jscape.inet.mft.subsystems.oftp.OftpMessageInfo> oftpMessageInfosOf(java.lang.String domainName,
                                                                                                                                       com.jscape.inet.mft.operation.pagination.PageRequest request)
                                                                                                                                throws ManagerException

      Throws:
        `ManagerException`

    - #### oftpMessageFor

          public com.jscape.inet.mft.subsystems.oftp.OftpMessageRecord oftpMessageFor(java.lang.String domainName,
                                                                                      java.lang.String id)
                                                                               throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteOftpMessages

          public void deleteOftpMessages(java.lang.String domainName,
                                         java.lang.String... ids)
                                  throws ManagerException

      Throws:
        `ManagerException`

    - #### resendOftpMessage

          public void resendOftpMessage(java.lang.String domainName,
                                        java.lang.String id)
                                 throws ManagerException

      Throws:
        `ManagerException`

    - #### createOftpMessageRepositoryDb

          public void createOftpMessageRepositoryDb(java.lang.String domainName,
                                                    com.jscape.inet.mft.OftpMessageRepositoryConfiguration configuration)
                                             throws ManagerException

      Throws:
        `ManagerException`

    - #### testOftpMessageRepository

          public void testOftpMessageRepository(java.lang.String domainName,
                                                com.jscape.inet.mft.OftpMessageRepositoryConfiguration configuration)
                                         throws ManagerException

      Throws:
        `ManagerException`

    - #### updateAdHocTransfers

          public void updateAdHocTransfers(java.lang.String domainName,
                                           java.util.List<com.jscape.inet.mft.AdHocTransferAdvice> transfers)
                                    throws ManagerException

      Throws:
        `ManagerException`

    - #### mkdir

          public void mkdir(java.lang.String path)
                     throws ManagerException

      Creates a directory on the server.
      Parameters:
        `path` - a directory path
      Throws:
        `ManagerException` - if an error occurs

    - #### deleteDir

          public void deleteDir(java.lang.String path,
                                boolean recursive)
                         throws ManagerException

      Deletes a directory on the server side.
      Parameters:
        `path` - a directory path
        `recursive` - if `true` directory will be deleted recursively
      Throws:
        `ManagerException` - if an error occurs

    - #### createDirectory

          public void createDirectory(java.lang.String path)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### deleteDirectory

          public void deleteDirectory(java.lang.String path,
                                      boolean recursive)
                               throws ManagerException

      Throws:
        `ManagerException`

    - #### addConnectedEventListener

          public void addConnectedEventListener(ManagerConnectedEvent.Handler listener)

      Adds connected event listener.
      Parameters:
        `listener` - listener

    - #### removeConnectedEventListener

          public void removeConnectedEventListener(ManagerConnectedEvent.Handler listener)

      Removes connected event listener.
      Parameters:
        `listener` - listener

    - #### addDisconnectedEventListener

          public void addDisconnectedEventListener(ManagerDisconnectedEvent.Handler listener)

      Adds disconnected event listener.
      Parameters:
        `listener` - listener

    - #### removeDisconnectedEventListener

          public void removeDisconnectedEventListener(ManagerDisconnectedEvent.Handler listener)

      Removes disconnected event listener.
      Parameters:
        `listener` - listener

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.